package com.mortals.xhx.module.product.model;

import java.util.List;
import com.mortals.xhx.module.product.model.ProductQuestionEntity;
/**
* 产品常见问题查询对象
*
* @author zxfei
* @date 2023-09-11
*/
public class ProductQuestionQuery extends ProductQuestionEntity {
    /** 开始 主键，自增长 */
    private Long idStart;

    /** 结束 主键，自增长 */
    private Long idEnd;

    /** 增加 主键，自增长 */
    private Long idIncrement;

    /** 主键，自增长列表 */
    private List <Long> idList;

    /** 主键，自增长排除列表 */
    private List <Long> idNotList;

    /** 开始 产品id */
    private Long productIdStart;

    /** 结束 产品id */
    private Long productIdEnd;

    /** 增加 产品id */
    private Long productIdIncrement;

    /** 产品id列表 */
    private List <Long> productIdList;

    /** 产品id排除列表 */
    private List <Long> productIdNotList;

    /** 产品名称 */
    private List<String> productNameList;

    /** 产品名称排除列表 */
    private List <String> productNameNotList;
    /** 问题 */
    private List<String> questionList;

    /** 问题排除列表 */
    private List <String> questionNotList;
    /** 常见问题回答 */
    private List<String> answerList;

    /** 常见问题回答排除列表 */
    private List <String> answerNotList;
    /** 开始 创建时间 */
    private String createTimeStart;

    /** 结束 创建时间 */
    private String createTimeEnd;

    /** 开始 创建用户 */
    private Long createUserIdStart;

    /** 结束 创建用户 */
    private Long createUserIdEnd;

    /** 增加 创建用户 */
    private Long createUserIdIncrement;

    /** 创建用户列表 */
    private List <Long> createUserIdList;

    /** 创建用户排除列表 */
    private List <Long> createUserIdNotList;

    /** 开始 修改时间 */
    private String updateTimeStart;

    /** 结束 修改时间 */
    private String updateTimeEnd;

    /** OR条件集合，列表项之间是OR，项内容之间是AND，如：(list[0].1 and list[0].2) or (list[1].3 and list[1].4) */
    private List<ProductQuestionQuery> orConditionList;

    /** AND条件集合，列表项之间是AND，项内容之间是OR，如：(list[0].1 or list[0].2) and (list[1].3 or list[1].4) */
    private List<ProductQuestionQuery> andConditionList;

    public ProductQuestionQuery(){}

    /**
    * 获取 开始 主键，自增长
    * @return idStart
    */
    public Long getIdStart(){
        return this.idStart;
    }

    /**
    * 设置 开始 主键，自增长
    * @param idStart
    */
    public void setIdStart(Long idStart){
        this.idStart = idStart;
    }

    /**
    * 获取 结束 主键，自增长
    * @return $idEnd
    */
    public Long getIdEnd(){
        return this.idEnd;
    }

    /**
    * 设置 结束 主键，自增长
    * @param idEnd
    */
    public void setIdEnd(Long idEnd){
        this.idEnd = idEnd;
    }

    /**
    * 获取 增加 主键，自增长
    * @return idIncrement
    */
    public Long getIdIncrement(){
        return this.idIncrement;
    }

    /**
    * 设置 增加 主键，自增长
    * @param idIncrement
    */
    public void setIdIncrement(Long idIncrement){
        this.idIncrement = idIncrement;
    }

    /**
    * 获取 主键，自增长
    * @return idList
    */
    public List<Long> getIdList(){
        return this.idList;
    }

    /**
    * 设置 主键，自增长
    * @param idList
    */
    public void setIdList(List<Long> idList){
        this.idList = idList;
    }

    /**
    * 获取 主键，自增长
    * @return idNotList
    */
    public List<Long> getIdNotList(){
        return this.idNotList;
    }

    /**
    * 设置 主键，自增长
    * @param idNotList
    */
    public void setIdNotList(List<Long> idNotList){
        this.idNotList = idNotList;
    }


    /**
    * 获取 开始 产品id
    * @return productIdStart
    */
    public Long getProductIdStart(){
        return this.productIdStart;
    }

    /**
    * 设置 开始 产品id
    * @param productIdStart
    */
    public void setProductIdStart(Long productIdStart){
        this.productIdStart = productIdStart;
    }

    /**
    * 获取 结束 产品id
    * @return $productIdEnd
    */
    public Long getProductIdEnd(){
        return this.productIdEnd;
    }

    /**
    * 设置 结束 产品id
    * @param productIdEnd
    */
    public void setProductIdEnd(Long productIdEnd){
        this.productIdEnd = productIdEnd;
    }

    /**
    * 获取 增加 产品id
    * @return productIdIncrement
    */
    public Long getProductIdIncrement(){
        return this.productIdIncrement;
    }

    /**
    * 设置 增加 产品id
    * @param productIdIncrement
    */
    public void setProductIdIncrement(Long productIdIncrement){
        this.productIdIncrement = productIdIncrement;
    }

    /**
    * 获取 产品id
    * @return productIdList
    */
    public List<Long> getProductIdList(){
        return this.productIdList;
    }

    /**
    * 设置 产品id
    * @param productIdList
    */
    public void setProductIdList(List<Long> productIdList){
        this.productIdList = productIdList;
    }

    /**
    * 获取 产品id
    * @return productIdNotList
    */
    public List<Long> getProductIdNotList(){
        return this.productIdNotList;
    }

    /**
    * 设置 产品id
    * @param productIdNotList
    */
    public void setProductIdNotList(List<Long> productIdNotList){
        this.productIdNotList = productIdNotList;
    }


    /**
    * 获取 产品名称
    * @return productNameList
    */
    public List<String> getProductNameList(){
        return this.productNameList;
    }

    /**
    * 设置 产品名称
    * @param productNameList
    */
    public void setProductNameList(List<String> productNameList){
        this.productNameList = productNameList;
    }

    /**
    * 获取 产品名称
    * @return productNameNotList
    */
    public List<String> getProductNameNotList(){
        return this.productNameNotList;
    }

    /**
    * 设置 产品名称
    * @param productNameNotList
    */
    public void setProductNameNotList(List<String> productNameNotList){
        this.productNameNotList = productNameNotList;
    }

    /**
    * 获取 问题
    * @return questionList
    */
    public List<String> getQuestionList(){
        return this.questionList;
    }

    /**
    * 设置 问题
    * @param questionList
    */
    public void setQuestionList(List<String> questionList){
        this.questionList = questionList;
    }

    /**
    * 获取 问题
    * @return questionNotList
    */
    public List<String> getQuestionNotList(){
        return this.questionNotList;
    }

    /**
    * 设置 问题
    * @param questionNotList
    */
    public void setQuestionNotList(List<String> questionNotList){
        this.questionNotList = questionNotList;
    }

    /**
    * 获取 常见问题回答
    * @return answerList
    */
    public List<String> getAnswerList(){
        return this.answerList;
    }

    /**
    * 设置 常见问题回答
    * @param answerList
    */
    public void setAnswerList(List<String> answerList){
        this.answerList = answerList;
    }

    /**
    * 获取 常见问题回答
    * @return answerNotList
    */
    public List<String> getAnswerNotList(){
        return this.answerNotList;
    }

    /**
    * 设置 常见问题回答
    * @param answerNotList
    */
    public void setAnswerNotList(List<String> answerNotList){
        this.answerNotList = answerNotList;
    }

    /**
    * 获取 开始 创建时间
    * @return createTimeStart
    */
    public String getCreateTimeStart(){
        return this.createTimeStart;
    }

    /**
    * 设置 开始 创建时间
    * @param createTimeStart
    */
    public void setCreateTimeStart(String createTimeStart){
        this.createTimeStart = createTimeStart;
    }

    /**
    * 获取 结束 创建时间
    * @return createTimeEnd
    */
    public String getCreateTimeEnd(){
        return this.createTimeEnd;
    }

    /**
    * 设置 结束 创建时间
    * @param createTimeEnd
    */
    public void setCreateTimeEnd(String createTimeEnd){
        this.createTimeEnd = createTimeEnd;
    }

    /**
    * 获取 开始 创建用户
    * @return createUserIdStart
    */
    public Long getCreateUserIdStart(){
        return this.createUserIdStart;
    }

    /**
    * 设置 开始 创建用户
    * @param createUserIdStart
    */
    public void setCreateUserIdStart(Long createUserIdStart){
        this.createUserIdStart = createUserIdStart;
    }

    /**
    * 获取 结束 创建用户
    * @return $createUserIdEnd
    */
    public Long getCreateUserIdEnd(){
        return this.createUserIdEnd;
    }

    /**
    * 设置 结束 创建用户
    * @param createUserIdEnd
    */
    public void setCreateUserIdEnd(Long createUserIdEnd){
        this.createUserIdEnd = createUserIdEnd;
    }

    /**
    * 获取 增加 创建用户
    * @return createUserIdIncrement
    */
    public Long getCreateUserIdIncrement(){
        return this.createUserIdIncrement;
    }

    /**
    * 设置 增加 创建用户
    * @param createUserIdIncrement
    */
    public void setCreateUserIdIncrement(Long createUserIdIncrement){
        this.createUserIdIncrement = createUserIdIncrement;
    }

    /**
    * 获取 创建用户
    * @return createUserIdList
    */
    public List<Long> getCreateUserIdList(){
        return this.createUserIdList;
    }

    /**
    * 设置 创建用户
    * @param createUserIdList
    */
    public void setCreateUserIdList(List<Long> createUserIdList){
        this.createUserIdList = createUserIdList;
    }

    /**
    * 获取 创建用户
    * @return createUserIdNotList
    */
    public List<Long> getCreateUserIdNotList(){
        return this.createUserIdNotList;
    }

    /**
    * 设置 创建用户
    * @param createUserIdNotList
    */
    public void setCreateUserIdNotList(List<Long> createUserIdNotList){
        this.createUserIdNotList = createUserIdNotList;
    }


    /**
    * 获取 开始 修改时间
    * @return updateTimeStart
    */
    public String getUpdateTimeStart(){
        return this.updateTimeStart;
    }

    /**
    * 设置 开始 修改时间
    * @param updateTimeStart
    */
    public void setUpdateTimeStart(String updateTimeStart){
        this.updateTimeStart = updateTimeStart;
    }

    /**
    * 获取 结束 修改时间
    * @return updateTimeEnd
    */
    public String getUpdateTimeEnd(){
        return this.updateTimeEnd;
    }

    /**
    * 设置 结束 修改时间
    * @param updateTimeEnd
    */
    public void setUpdateTimeEnd(String updateTimeEnd){
        this.updateTimeEnd = updateTimeEnd;
    }

    /**
    * 设置  主键，自增长
    * @param id
    */
    public ProductQuestionQuery id(Long id){
	    setId(id);
		return this;
    }
	
	 /**
    * 设置 开始 主键，自增长
    * @param idStart
    */
    public ProductQuestionQuery idStart(Long idStart){
		this.idStart = idStart;
		return this;
    }

    /**
    * 设置 结束 主键，自增长
    * @param idEnd
    */
    public ProductQuestionQuery idEnd(Long idEnd){
		this.idEnd = idEnd;
		return this;
    }

    /**
    * 设置 增加 主键，自增长
    * @param idIncrement
    */
    public ProductQuestionQuery idIncrement(Long idIncrement){
		this.idIncrement = idIncrement;
		return this;
    }

    /**
    * 设置 主键，自增长
    * @param idList
    */
    public ProductQuestionQuery idList(List<Long> idList){
        this.idList = idList;
		return this;
        }

        /**
        * 设置 主键，自增长
        * @param idNotList
        */
        public ProductQuestionQuery idNotList(List<Long> idNotList){
        this.idNotList = idNotList;
        return this;
        }

    /**
    * 设置  产品id
    * @param productId
    */
    public ProductQuestionQuery productId(Long productId){
	    setProductId(productId);
		return this;
    }
	
	 /**
    * 设置 开始 产品id
    * @param productIdStart
    */
    public ProductQuestionQuery productIdStart(Long productIdStart){
		this.productIdStart = productIdStart;
		return this;
    }

    /**
    * 设置 结束 产品id
    * @param productIdEnd
    */
    public ProductQuestionQuery productIdEnd(Long productIdEnd){
		this.productIdEnd = productIdEnd;
		return this;
    }

    /**
    * 设置 增加 产品id
    * @param productIdIncrement
    */
    public ProductQuestionQuery productIdIncrement(Long productIdIncrement){
		this.productIdIncrement = productIdIncrement;
		return this;
    }

    /**
    * 设置 产品id
    * @param productIdList
    */
    public ProductQuestionQuery productIdList(List<Long> productIdList){
        this.productIdList = productIdList;
		return this;
        }

        /**
        * 设置 产品id
        * @param productIdNotList
        */
        public ProductQuestionQuery productIdNotList(List<Long> productIdNotList){
        this.productIdNotList = productIdNotList;
        return this;
        }


	/**
    * 设置 产品名称
    * @param productName
    */
    public ProductQuestionQuery productName(String productName){
        setProductName(productName);
		return this;
    }

    /**
    * 设置 产品名称
    * @param productNameList
    */
    public ProductQuestionQuery productNameList(List<String> productNameList){
        this.productNameList = productNameList;
		return this;
    }


	/**
    * 设置 问题
    * @param question
    */
    public ProductQuestionQuery question(String question){
        setQuestion(question);
		return this;
    }

    /**
    * 设置 问题
    * @param questionList
    */
    public ProductQuestionQuery questionList(List<String> questionList){
        this.questionList = questionList;
		return this;
    }


	/**
    * 设置 常见问题回答
    * @param answer
    */
    public ProductQuestionQuery answer(String answer){
        setAnswer(answer);
		return this;
    }

    /**
    * 设置 常见问题回答
    * @param answerList
    */
    public ProductQuestionQuery answerList(List<String> answerList){
        this.answerList = answerList;
		return this;
    }


    /**
    * 设置  创建用户
    * @param createUserId
    */
    public ProductQuestionQuery createUserId(Long createUserId){
	    setCreateUserId(createUserId);
		return this;
    }
	
	 /**
    * 设置 开始 创建用户
    * @param createUserIdStart
    */
    public ProductQuestionQuery createUserIdStart(Long createUserIdStart){
		this.createUserIdStart = createUserIdStart;
		return this;
    }

    /**
    * 设置 结束 创建用户
    * @param createUserIdEnd
    */
    public ProductQuestionQuery createUserIdEnd(Long createUserIdEnd){
		this.createUserIdEnd = createUserIdEnd;
		return this;
    }

    /**
    * 设置 增加 创建用户
    * @param createUserIdIncrement
    */
    public ProductQuestionQuery createUserIdIncrement(Long createUserIdIncrement){
		this.createUserIdIncrement = createUserIdIncrement;
		return this;
    }

    /**
    * 设置 创建用户
    * @param createUserIdList
    */
    public ProductQuestionQuery createUserIdList(List<Long> createUserIdList){
        this.createUserIdList = createUserIdList;
		return this;
        }

        /**
        * 设置 创建用户
        * @param createUserIdNotList
        */
        public ProductQuestionQuery createUserIdNotList(List<Long> createUserIdNotList){
        this.createUserIdNotList = createUserIdNotList;
        return this;
        }


    /**
    * 获取 OR条件集合，列表项之间是OR，项内容之间是AND，如：(list[0].1 and list[0].2) or (list[1].3 and list[1].4)
    * @return orConditionList
    */
    public List<ProductQuestionQuery> getOrConditionList(){
    return this.orConditionList;
    }

    /**
    * 设置 OR条件集合，列表项之间是OR，项内容之间是AND，如：(list[0].1 and list[0].2) or (list[1].3 and list[1].4)
    * @param orConditionList
    */
    public void setOrConditionList(List<ProductQuestionQuery> orConditionList){
        this.orConditionList = orConditionList;
    }

    /**
    * 获取 AND条件集合，列表项之间是AND，项内容之间是OR，如：(list[0].1 or list[0].2) and (list[1].3 or list[1].4)
    * @return andConditionList
    */
    public List<ProductQuestionQuery> getAndConditionList(){
        return this.andConditionList;
    }

    /**
    * 设置 AND条件集合，列表项之间是AND，项内容之间是OR，如：(list[0].1 or list[0].2) and (list[1].3 or list[1].4)
    * @param andConditionList
    */
    public void setAndConditionList(List<ProductQuestionQuery> andConditionList){
        this.andConditionList = andConditionList;
    }

}